Subject: bug#5299: 23.1.91; Cannot send bug report - get error no such file /bin/bash

From: "Drew Adams" <[email-masked]>
Date: Sun, 3 Jan 2010 13:26:21 -0800

> >> Didn't we make a special workaround on w32 for this to 
> >> work? I thought that workaround was needed. It did put
> >> the content of the bug report on the clipboard etc.
> >>
> >> Is that what you have been using before, Drew, or?
> >
> > Sorry, I don't know what you are referring to, Lennart.
> >
> > I have always used vanilla Emacs with `emacs -Q' to report 
> > bugs.  I have, personally, never employed any "special
> > workaround on w32". I don't know anything about such a workaround.
> >
> > Or perhaps you are referring to something that Emacs did 
> > under the covers? If so, I know nothing about it - I've
> > never tried to follow the `report-emacs-bug'
> > code or the Emacs mail code.
> 
> If you were using it you should have noticed because it was not
> totally transparent. The trouble was the restriction on the command
> line length in w32. Because of this we could not send the message this
> way to the default mail client. Instead we did a two step workaround:
> 
> 1) We first put the message on the clipboard and then created a
> shorter mail message that said that the real content was on the
> clipboard.
> 
> 2) This shorter message was sent to the default mail client and should
> up for editing before sending.
> 
> I do not know if this works any more however. I do not use it myself
> anymore since using it with web mail (gmail) is a bit clumsy. I just
> cut and paste instead.
> 
> But for those using a w32 mail client it should still be usable I
> believe. Or has someone found a workaround for the problem with the
> command line length restriction?

Apparently, you _are_ talking about something that Emacs did, and not something
that we users did. When you say "we", you apparently mean Emacs.

In that case, yes, as I already indicated in detail earlier, I pasted the true
bug-report content to the email message prepared by Emacs (via my mail client).
Please read my earlier message that details this.

But I don't even get to that stage now. I don't get an email-client message
created. I doubt that Outlook is ever invoked in any way. As soon as I type
`yes' to confirm that I want to send a bug report, the error is raised.

> > Are you able to reproduce the bug using Jason's pretest 
> > build and `emacs -Q'?

Well, are you? Have you tried using Jason's build with emacs -Q and an external
email client? That is the first thing to try.